# Overview

### QLM API Categories

| API                                                 | Description                                                                                                        |
| --------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------ |
| Client-Side API                                     | API used in your application that performs local operations without contacting the License Server                  |
| License Server Application API                      | API used in your application that contacts the License Server to query or update information                       |
| License Server Management API                       | API used outside the context of your application to integrate QLM with other 3rd party tools such as a CRM system. |
| Analytics API                                       | API related to the QLM Analytics features in QLM Enterprise                                                        |
| Cloud-based Floating License API                    | API used in your application for operations related to Cloud-based floating licenses.                              |
| On-premise Floating License API                     | API used in your application for operations related to on-premise floating licenses.                               |
| [HTTP Methods](/docs/api-reference/http-methods.md) | API that can be invoked via a URL, typically used for integration with eCommerce providers.                        |

### QLM API Classes

| Class                                                                                            | Description                                                                             |
| ------------------------------------------------------------------------------------------------ | --------------------------------------------------------------------------------------- |
| [IQlmLicense](/docs/api-reference/.net-api/qlmlicense.md)                                        | This is the main licensing class that provides access to the core functionality of QLM. |
| [ILicenseInfo](/docs/api-reference/.net-api/ilicenseinfo.md)                                     | Hold license information                                                                |
| [IQlmHardware](/docs/api-reference/.net-api/iqlmhardware.md)                                     | Class to extract hardware information                                                   |
| [IQlmCustomerInfo](/docs/api-reference/.net-api/iqlmcustomerinfo.md)                             | Holds customer information                                                              |
| [IQlmAnalytics](/docs/api-reference/.net-api/iqlmanalytics.md)                                   | Exposes all methods related to the Analytics feature                                    |
| [IQlmCloudFloatingLicenseHelper](/docs/api-reference/.net-api/iqlmcloudfloatinglicensehelper.md) | Helper class for cloud-based floating licenses                                          |
| [IQlmFloatingLicenseHelper](/docs/api-reference/.net-api/iqlmfloatinglicensehelper.md)           | Helper class for on-premise floating licenses                                           |
| [IQlmFloatingLicenseMgr](/docs/api-reference/.net-api/iqlmfloatinglicensemgr.md)                 | Main class for on-premise floating licenses                                             |
| [IQlmProductProperties](/docs/api-reference/.net-api/iqlmproductproperties.md)                   | Manages a collection of Product Properties                                              |
| [IQlmProductProperty](/docs/api-reference/.net-api/iqlmproductproperty.md)                       | Main class for working with product properties                                          |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.soraco.co/docs/api-reference/overview.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
